This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 642509 - RHQ System Settings UI not render properly and gives exception/error on UI
RHQ System Settings UI not render properly and gives exception/error on UI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-iframes
  Show dependency treegraph
 
Reported: 2010-10-13 03:40 EDT by Rajan Timaniya
Modified: 2011-05-23 21:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:07:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
server log (380.68 KB, text/x-log)
2010-10-13 03:40 EDT, Rajan Timaniya
no flags Details
RHQ System Settings UI (67.54 KB, image/png)
2010-10-13 03:41 EDT, Rajan Timaniya
no flags Details
RHQ System Settings UI exception (218.59 KB, image/png)
2010-10-13 03:42 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2010-10-13 03:40:55 EDT
Created attachment 453103 [details]
server log

Description of problem:
RHQ System Settings UI not render properly and gives exception/error on UI.

Exception on UI:
javax.servlet.jsp.JspException: ServletException in '/admin/config/GeneralPropertiesConfigForm.jsp': File "/admin/config/GeneralPropertiesConfigForm.jsp" not found at org.apache.struts.taglib.tiles.InsertTag$InsertHandler.doEndTag(InsertTag.java:923) at org.apache.struts.taglib.tiles.InsertTag.doEndTag(InsertTag.java:462) at org.apache.jsp.admin.config.EditServerConfig_jsp._jspx_meth_tiles_005finsert_005f3(EditServerConfig_jsp.java:577) at org.apache.jsp.admin.config.EditServerConfig_jsp._jspx_meth_html_005fform_005f0(EditServerConfig_jsp.java:343) at org.apache.jsp.admin.config.EditServerConfig_jsp._jspx_meth_hq_005fauthorization_005f0(EditServerConfig_jsp.java:292) at org.apache.jsp.admin.config.EditServerConfig_jsp._jspService(EditServerConfig_jsp.java:114) at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70) at javax.servlet.http.HttpServlet.service(HttpServlet.java:803) at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:373) at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:336) at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:265) at javax.servlet.http.HttpServlet.service(HttpServlet.java:803) at
...

Version-Release number of selected component (if applicable):
RHQ-Master build#409
http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/409/

How reproducible:
Always

Steps to Reproduce:
1) Install RHQ server
2) Log-in to RHQ
3) Navigate 'Administration'
4) Click on 'Configuration' -> 'System Settings'
  
Actual results:
RHQ System Settings UI not render properly and gives exception/error on UI.

Expected results:
RHQ System Settings UI should render properly without exception/error.

Additional info:
Please refer attachment for server log and screenshot.
Comment 1 Rajan Timaniya 2010-10-13 03:41:50 EDT
Created attachment 453104 [details]
RHQ System Settings UI
Comment 2 Rajan Timaniya 2010-10-13 03:42:26 EDT
Created attachment 453105 [details]
RHQ System Settings UI exception
Comment 3 Jay Shaughnessy 2011-02-14 09:45:27 EST
This view has been reimplemented and should be working fine.
Comment 4 Sunil Kondkar 2011-03-08 06:43:12 EST
Verified on build# 1075 (Version: 4.0.0-SNAPSHOT Build Number: 77ad7aa)

System Settings UI is rendered properly and no exception/error is observed on UI.

Marking as verified.
Comment 5 Corey Welton 2011-05-23 21:07:53 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.